Bug 819446 - (CVE-2012-2318) CVE-2012-2318 pidgin: Improper validation of incoming plaintext messages in MSN protocol plug-in
CVE-2012-2318 pidgin: Improper validation of incoming plaintext messages in M...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120506,repor...
: Security
Depends On: 819454 837559 837560 837561 837562
Blocks: 819458
  Show dependency treegraph
 
Reported: 2012-05-07 05:52 EDT by Jan Lieskovsky
Modified: 2015-11-24 10:05 EST (History)
4 users (show)

See Also:
Fixed In Version: pidgin 2.10.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-19 12:58:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-05-07 05:52:46 EDT
An improper input validation flaw was found in the way MSN protocol plug-in of Pidgin, a Gtk+ based multiprotocol instant messaging client, performed parsing of MSN message payload containing certain characters. If a remote server provided a specially-crafted MSN notification message or remote attacker, being present on the buddy list of the victim, provided a specially-crafted MSN offline instant message, it could lead to pidgin executable crash.

Upstream advisory:
[1] http://www.pidgin.im/news/security/?id=63

Relevant upstream patch:
[2] http://developer.pidgin.im/viewmtn/revision/info/94cbd5a68ee237c970d8bd6d9d53106f1b9627ad

CVE Request:
[3] http://www.openwall.com/lists/oss-security/2012/05/07/1
Comment 1 Jan Lieskovsky 2012-05-07 06:05:48 EDT
This issue affects the versions of the pidgin package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the versions of the pidgin package, as shipped with Fedora release of 15 and 16. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-05-07 06:07:32 EDT
Created pidgin tracking bugs for this issue

Affects: fedora-all [bug 819454]
Comment 3 Jan Lieskovsky 2012-05-07 12:10:15 EDT
The CVE identifier of CVE-2012-2318 has been assigned to this issue:
http://www.openwall.com/lists/oss-security/2012/05/07/7
Comment 5 Jan Lieskovsky 2012-05-10 13:01:32 EDT
Upstream v2.10.4 announcement:
http://pidgin.im/pipermail/devel/2012-May/010756.html

and Changelog:
http://developer.pidgin.im/wiki/ChangeLog
Comment 7 errata-xmlrpc 2012-07-19 11:33:24 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1102 https://rhn.redhat.com/errata/RHSA-2012-1102.html

Note You need to log in before you can comment on or make changes to this bug.